Bug 257041 - Building kernel w/ High Memory Support turned off no longer works.
Building kernel w/ High Memory Support turned off no longer works.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
7
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 12:27 EDT by Michael Carney
Modified: 2009-12-14 15:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:14:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Carney 2007-08-27 12:27:54 EDT
Description of problem:

Starting with kernel-2.6.20-i686-xen.config, use favorite config method to turn
off High Memory Support (setting either "off" or "4GB" show the same problem).

Build immediately dies when starting kernel portion:

+ make -s ARCH=i386 vmlinuz
  CHK     include/linux/version.h
  UPD     include/linux/version.h
  CHK     include/linux/utsrelease.h
  UPD     include/linux/utsrelease.h
  SYMLINK include/asm -> include/asm-i386
In file included from include/linux/mm.h:40,
                 from include/linux/rmap.h:9,
                 from init/main.c:46:
include/asm/mach-xen/asm/pgtable.h:319: error: redefinition of 'ptep_get_and_clear'
include/asm/mach-xen/asm/pgtable-2level.h:35: error: previous definition of
'ptep_get_and_clear' was here
include/asm/mach-xen/asm/pgtable.h: In function 'ptep_get_and_clear':
include/asm/mach-xen/asm/pgtable.h:320: error: implicit declaration of function
'raw_ptep_get_and_clear'
include/asm/mach-xen/asm/pgtable.h:320: error: invalid initializer
make[1]: *** [init/main.o] Error 1
make: *** [init] Error 2
error: Bad exit status from /export/build/tmp/rpm-tmp.69098 (%build)


Version-Release number of selected component (if applicable):
kernel-xen-2.6-2.6.20-2931.fc7

How reproducible: ALWAYS

All previous versions  of F7 Xen (and FC6 for that matter) worked fine in this
regard.
Comment 1 Bug Zapper 2008-05-14 10:07:05 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:14:31 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.